Package org.opensaml.spring.trust

# Class PKIXInlineValidationInfoFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<BasicPKIXValidationInformation>
org.opensaml.spring.trust.AbstractBasicPKIXValidationInfoFactoryBean
org.opensaml.spring.trust.PKIXInlineValidationInfoFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicPKIXValidationInformation>`, `InitializingBean`

public class PKIXInlineValidationInfoFactoryBean extends AbstractBasicPKIXValidationInfoFactoryBean
File system specific bean for PKIXValidationInfo.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<String>`
`certificateFiles`
The strings to be turned into the certificates.
`private List<String>`
`crlStrings`
The strings to be turned into the crls.
`private org.slf4j.Logger`
`log`
log.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`PKIXInlineValidationInfoFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected List<X509Certificate>`
`getCertificates()`
Get the configured certificates.
`protected List<X509CRL>`
`getCRLs()`
Get the configured CRL list.
`void`
`setCertificates(List<String> certs)`
Set the file names which we will convert into certificates.
`void`
`setCRLs(List<String> crls)`
Set the file names which we will convert into crls.

### Methods inherited from class org.opensaml.spring.trust.AbstractBasicPKIXValidationInfoFactoryBean

`doCreateInstance, getConfigDescription, getObjectType, getVerifyDepth, setConfigDescription, setVerifyDepth`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
log.

### certificateFiles

@Nullable private List<String> certificateFiles
The strings to be turned into the certificates.

### crlStrings

@Nullable private List<String> crlStrings
The strings to be turned into the crls.

## Constructor Details

### PKIXInlineValidationInfoFactoryBean

public PKIXInlineValidationInfoFactoryBean()

## Method Details

### setCertificates

public void setCertificates(@Nullable List<String> certs)
Set the file names which we will convert into certificates.

Parameters:
  `certs` - the file names.

### setCRLs

public void setCRLs(@Nullable List<String> crls)
Set the file names which we will convert into crls.

Parameters:
  `crls` - the file names.

### getCertificates

@Nullable protected List<X509Certificate> getCertificates()
Get the configured certificates.

Specified by:
  `getCertificates` in class `AbstractBasicPKIXValidationInfoFactoryBean`
Returns:
  the certificates null

### getCRLs

@Nullable protected List<X509CRL> getCRLs()
Get the configured CRL list.

Specified by:
  `getCRLs` in class `AbstractBasicPKIXValidationInfoFactoryBean`
Returns:
  the crls or null